Get all reconciliations on an statement transaction Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/statement-transaction/{statementTransaction_uuid}/reconciliations

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • statementTransaction_uuid string Required

Query parameters

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, type, amount]. Negative sign to denote DESC. Defaults to '-created_at'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • amount object

      The amount that has been reconciled.

      Hide amount attributes Show amount attributes object
      • amount object
        Hide amount attributes Show amount attributes object
        • example string
        • description string
      • formatted object
        Hide formatted attributes Show formatted attributes object
        • example string
        • description string
      • currency object
        Hide currency attributes Show currency attributes object
        • example string
        • description string
    • statement_transaction object

      The statement transaction the reconciliation has been made against.

      Hide statement_transaction attributes Show statement_transaction attributes object
      • uuid string
      • created_at string
      • updated_at string
      • client_name string
      • transaction_reference string
      • policy_number string
      • date string
      • gross_amount object
        Hide gross_amount attributes Show gross_amount attributes object
        • amount object
          Hide amount attributes Show amount attributes object
          • example string
          • description string
        • formatted object
          Hide formatted attributes Show formatted attributes object
          • example string
          • description string
        • currency object
          Hide currency attributes Show currency attributes object
          • example string
          • description string
      • net_amount object
        Hide net_amount attributes Show net_amount attributes object
        • amount object
          Hide amount attributes Show amount attributes object
          • example string
          • description string
        • formatted object
          Hide formatted attributes Show formatted attributes object
          • example string
          • description string
        • currency object
          Hide currency attributes Show currency attributes object
          • example string
          • description string
      • category string
      • payment_origin string
      • agency_number string
      • product_reference string
      • adviser_name string
      • sender_id_sib_number string
      • reason string
      • scheme_name string
      • scheme_number string
      • customer_number string
      • policy_market_value string
      • provider string
      • provider_statement string
      • metadata object
        Hide metadata attribute Show metadata attribute object
        • client_name string
      • expectation string
      • bank_transactions string
      • statement string
      • account string
      • firm string
    • bank_transaction object

      The bank transaction this reconciliation is for.

      Hide bank_transaction attributes Show bank_transaction attributes object
      • uuid string
      • created_at string
      • updated_at string
      • date string
      • amount object
        Hide amount attributes Show amount attributes object
        • amount string
        • currency string
        • formatted string
      • reference string
      • metadata object
        Hide metadata attribute Show metadata attribute object
        • client_name string
      • filename string
      • bank_statement string
      • statement string
      • account string
      • firm string
    • account object

      The account that created the reconciliation.

      Hide account attributes Show account attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • firm string
      • primary_phone_number string
      • primary_email string
      • current_time_entry string
      • assigned_adviser string
      • assigned_administrator string
      • assigned_paraplanner string
      • introduced_by string
      • business_unit string
      • groups string
      • tags string
      • owners string
      • first_contact_date string
      • next_review_date string
      • previous_review_date string
      • anniversary_review_date string
      • terms_of_business_at string
      • client_agreement_at string
      • with_login boolean
      • has_joint_account boolean
      • can_be_deleted string
      • joint_account_circle string
      • circles string
      • ownership_percentage integer
      • inactive_at string
      • last_interaction_at string
      • referral_code string
      • permissions object
        Hide permissions attributes Show permissions attributes object
        • firm:read array[string]
        • network:read array[string]
      • custom_fields string
      • external_references string
GET /api/v1/statement-transaction/{statementTransaction_uuid}/reconciliations
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/statement-transaction/6ff8f7f6-1eb3-3525-be4a-3932c805afed/reconciliations' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "uuid": "5d7eb983-3170-4dc1-a29b-6aa4d9856d05",
  "created_at": "2026-06-08T16:08:03+01:00",
  "updated_at": "2026-06-08T16:08:03+01:00",
  "amount": {
    "amount": {
      "example": "4000",
      "description": "Money amount at their lowest denominator (for example: pennies)"
    },
    "formatted": {
      "example": "£40.00",
      "description": "Money amount formatted with currency"
    },
    "currency": {
      "example": "GBP",
      "description": "Currency of the money"
    }
  },
  "statement_transaction": {
    "uuid": "fbebdc45-4449-4a7e-aa0f-86ce0f31195f",
    "created_at": "2026-06-08T16:08:03+01:00",
    "updated_at": "2026-06-08T16:08:03+01:00",
    "client_name": "Gareth Thompson",
    "transaction_reference": "q5m1piMt6R",
    "policy_number": "AVIVA_00001",
    "date": "2026-06-08",
    "gross_amount": {
      "amount": {
        "example": "4000",
        "description": "Money amount at their lowest denominator (for example: pennies)"
      },
      "formatted": {
        "example": "£40.00",
        "description": "Money amount formatted with currency"
      },
      "currency": {
        "example": "GBP",
        "description": "Currency of the money"
      }
    },
    "net_amount": {
      "amount": {
        "example": "4000",
        "description": "Money amount at their lowest denominator (for example: pennies)"
      },
      "formatted": {
        "example": "£40.00",
        "description": "Money amount formatted with currency"
      },
      "currency": {
        "example": "GBP",
        "description": "Currency of the money"
      }
    },
    "category": "initial_fee",
    "payment_origin": "provider",
    "agency_number": "Agency number",
    "product_reference": "Product reference",
    "adviser_name": "Adviser name",
    "sender_id_sib_number": "Sender id sib number",
    "reason": "Reason",
    "scheme_name": "Scheme name",
    "scheme_number": "Scheme number",
    "customer_number": "Customer number",
    "policy_market_value": "Policy market value",
    "provider": "Aviva",
    "provider_statement": "App\\Http\\Resources\\ProviderStatementResource",
    "metadata": {
      "client_name": "Gareth Thompson"
    },
    "expectation": "App\\Http\\Resources\\ExpectationResource",
    "bank_transactions": "App\\Http\\Resources\\BankTransactionResource",
    "statement": "App\\Http\\Resources\\StatementResource",
    "account": "App\\Http\\Resources\\AccountResource",
    "firm": "App\\Http\\Resources\\FirmResource"
  },
  "bank_transaction": {
    "uuid": "57fec540-7e0d-4cc7-a44d-16619d764760",
    "created_at": "2026-06-08T16:08:03+01:00",
    "updated_at": "2026-06-08T16:08:03+01:00",
    "date": "2022-07-15",
    "amount": {
      "amount": "12399",
      "currency": "GBP",
      "formatted": "£123.99"
    },
    "reference": "VitalityLtd",
    "metadata": {
      "client_name": "Gareth Thompson"
    },
    "filename": "Natwest June 2022 Statement.xlsx",
    "bank_statement": "App\\Http\\Resources\\BankStatementResource",
    "statement": "App\\Http\\Resources\\StatementResource",
    "account": "App\\Http\\Resources\\AccountResource",
    "firm": "App\\Http\\Resources\\FirmResource"
  },
  "account": {
    "uuid": "8e42cef3-0c20-4d2f-8410-60cc6e1fd9e4",
    "created_at": "2026-06-08T16:08:03+01:00",
    "updated_at": "2026-06-08T16:08:03+01:00",
    "type": "client",
    "role": "client",
    "first_name": "Gareth",
    "last_name": "Thompson",
    "name": "Gareth Thompson",
    "email": "gareth@codepotato.co.uk",
    "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
    "firm": "App\\Http\\Resources\\FirmResource",
    "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
    "primary_email": "App\\Http\\Resources\\ContactDetailResource",
    "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
    "assigned_adviser": "App\\Http\\Resources\\AccountResource",
    "assigned_administrator": "App\\Http\\Resources\\AccountResource",
    "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
    "introduced_by": "App\\Http\\Resources\\AccountResource",
    "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
    "groups": "App\\Http\\Resources\\GroupResource",
    "tags": "App\\Http\\Resources\\TagResource",
    "owners": "App\\Http\\Resources\\AccountResource",
    "first_contact_date": "2026-06-08T16:08:03+01:00",
    "next_review_date": "2026-06-08T16:08:03+01:00",
    "previous_review_date": "2026-06-08T16:08:03+01:00",
    "anniversary_review_date": "2026-06-08T16:08:03+01:00",
    "terms_of_business_at": "2026-06-08T16:08:03+01:00",
    "client_agreement_at": "2026-06-08T16:08:03+01:00",
    "with_login": true,
    "has_joint_account": true,
    "can_be_deleted": "false",
    "joint_account_circle": "App\\Http\\Resources\\CircleResource",
    "circles": "App\\Http\\Resources\\CircleResource",
    "ownership_percentage": 100,
    "inactive_at": "2026-06-08",
    "last_interaction_at": "2026-06-08 16:08:03",
    "referral_code": "ABC12345",
    "permissions": {
      "firm:read": [
        "firm"
      ],
      "network:read": [
        "network:uuid"
      ]
    },
    "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
    "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
  }
}